update manager cannot get updates, when using terminal fails on upgrade command, software center won't open package python-uno 1:3.6.2~rc2-0ubuntu3 failed to install/upgrade: subprocess new pre-removal script returned error exit status 1

Bug #1159522 reported by Emily Dick on 2013-03-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libreoffice (Ubuntu)
Low
Unassigned

Bug Description

python-uno 1:3.6.2~rc2-0ubuntu3 failed to install/upgrade: subprocess new pre-removal script returned error exit status 1

Just installed 12.10, but the update manager shows as an no entry sign, red circle and a white bar through it, the ubuntu software center also wil not open. I tried to update from the terminal calling, update - which worked, then upgrade which didn't work see below:

Terminal displays following when sudo apt-get upgrade called:

(Reading database ... 149456 files and directories currently installed.)
Preparing to replace python-uno 1:3.6.2~rc2-0ubuntu3 (using .../python-uno_1%3a3.6.2~rc2-0ubuntu4_amd64.deb) ...
ValueError: bad marshal data (unknown type code)
dpkg: warning: subprocess old pre-removal script returned error exit status 1
dpkg: trying script from the new package instead ...
ValueError: bad marshal data (unknown type code)
dpkg: error processing /var/cache/apt/archives/python-uno_1%3a3.6.2~rc2-0ubuntu4_amd64.deb (--unpack):
 subprocess new pre-removal script returned error exit status 1
ValueError: bad marshal data (unknown type code)
dpkg: error while cleaning up:
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 /var/cache/apt/archives/python-uno_1%3a3.6.2~rc2-0ubuntu4_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

ProblemType: Package
DistroRelease: Ubuntu 12.10
Package: python-uno 1:3.6.2~rc2-0ubuntu3
ProcVersionSignature: Ubuntu 3.5.0-17.28-generic 3.5.5
Uname: Linux 3.5.0-17-generic x86_64
ApportVersion: 2.6.1-0ubuntu3
Architecture: amd64
Date: Sun Mar 24 20:52:23 2013
ErrorMessage: subprocess new pre-removal script returned error exit status 1
SourcePackage: libreoffice
Title: package python-uno 1:3.6.2~rc2-0ubuntu3 failed to install/upgrade: subprocess new pre-removal script returned error exit status 1
UpgradeStatus: No upgrade log present (probably fresh install)

Emily Dick (eld3) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Reviewing your dmesg attachment in this bug report it seems that there is a problem with your hardware. I recommend performing a back up and then investigating the situation. Measures you might take include checking cable connections and using software tools to investigate the health of your hardware. In the event that is is not in fact an error with your hardware please set the bug's status back to New. Thanks and good luck!

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: hardware-error
Changed in libreoffice (Ubuntu):
importance: Undecided → Low
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers